# Uses of Interface co.aikar.commands.contexts.OptionalContextResolver (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands.contexts, interface: OptionalContextResolver

# Uses of Interface
co.aikar.commands.contexts.OptionalContextResolver

Packages that use OptionalContextResolver
Package
Description
co.aikar.commands

## Uses of OptionalContextResolver in co.aikar.commands

Methods in co.aikar.commands with parameters of type OptionalContextResolver
Modifier and Type
Method
Description
`<T> void`
CommandContexts.`registerOptionalContext(Class<T> context, OptionalContextResolver<T,R> supplier)`
Registers a context that can safely accept a null input from the command issuer to resolve.